hspec-expectations-0.5.0.1: Catchy combinators for HUnit

Safe Haskell | None

Test.Hspec.Expectations.Contrib

Contents

- Predicates

Description

Experimental combinators, that may become part of the main distribution, if they turn out to be useful for a wider audience.

Synopsis

- module Test.Hspec.Expectations
- isLeft :: Either a b -> Bool
- isRight :: Either a b -> Bool

# Documentation

module Test.Hspec.Expectations

# Predicates

(useful in combination with `shouldSatisfy`)

isLeft :: Either a b -> Bool Source

isRight :: Either a b -> Bool Source